#35 ✓resolved
Bruce Perens

Release 2.1.1 with migrations support

Reported by Bruce Perens | September 11th, 2008 @ 12:05 PM | in 2.1.2

James, until you can do a new release, please put a prominent note on the web site regarding how to get engines to work with 2.1.1

Comments and changes to this ticket

  • James Adam

    James Adam September 13th, 2008 @ 02:25 AM

    • State changed from “new” to “more_details_needed”

    I've pushed a fix into the master branch (see Ticket #34). Is that sufficient?

    I'm holding off a new release until some resolution is made regarding how to deal with migrations (see Ticket #17).

  • Bruce Perens

    Bruce Perens September 13th, 2008 @ 05:31 PM

    James,

    The problem is that a user of Engines has to grub around internet mailing lists outside of your site, trying to find the solution. The web site should say "Note: if you are running Rails 2.1.1 and it says "Dependencies are not a module", install the pre-release from the main branch, the instructions for doing that are .

     Thanks
    
    Bruce
    
    
  • James Adam

    James Adam September 17th, 2008 @ 03:25 AM

    • Tag set to 2.1.1

    I recently merged the fix from the 'edge' branch that dealt with the Dependencies problem. With this, I believe that the current master is compatible with Rails 2.1.1 - the tests all certainly pass. The only 'issue' is dealing with migrations, but that's not a show-stopper for running against 2.1.1

    Does this resolve the issue?

  • James Adam

    James Adam October 24th, 2008 @ 01:55 AM

    • Title changed from “Please update web site for Rails 2.1.1” to “Release 2.1.1 with migrations support”
    • State changed from “more_details_needed” to “open”

    I believe the original issue this ticket focused on (Dependencies) is now fixed, but I'd like to keep it open to prompt me to update the site once the new migrations mechanism is available.

  • James Adam

    James Adam October 24th, 2008 @ 02:30 AM

    • Milestone set to 2.1.2
  • James Adam

    James Adam November 9th, 2008 @ 06:55 AM

    • State changed from “open” to “resolved”

    I've gone one better, and pushed the 2.1.2 tag, including the migrations support.

Please Sign in or create a free account to add a new ticket.

With your very own profile, you can contribute to projects, track your activity, watch tickets, receive and update tickets through your email and much more.

New-ticket Create new ticket

Create your profile

Help contribute to this project by taking a few moments to create your personal profile. Create your profile ยป

The rails engines plugin itself

Shared Ticket Bins

People watching this ticket

Tags

Pages